## org.apache.poi.hssf.util
Class AreaReference

    java.lang.Object
      org.apache.poi.ss.util.AreaReference
          org.apache.poi.hssf.util.AreaReference

    public final class AreaReference

extends AreaReference

Constructor Summary
`AreaReference(CellReference topLeft, CellReference botRight)` Creates an area ref from a pair of Cell References.
`AreaReference(java.lang.String reference)` Create an area ref from a string representation.

Method Summary

Methods inherited from class org.apache.poi.ss.util.AreaReference
`formatAsString, generateContiguous, getAllReferencedCells, getFirstCell, getLastCell, getWholeColumn, getWholeRow, isContiguous, isSingleCell, isWholeColumnReference, isWholeColumnReference, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AreaReference

    public AreaReference(java.lang.String reference)

  Create an area ref from a string representation. Sheet names containing special characters should be delimited and escaped as per normal syntax rules for formulas.
  The area reference must be contiguous (i.e. represent a single rectangle, not a union of rectangles)

### AreaReference

    public AreaReference(CellReference topLeft,
                         CellReference botRight)

  Creates an area ref from a pair of Cell References. Also normalises such that the top-left

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.